package userdefined;
import java.lang.management.ManagementFactory;
import javax.management.MBeanServer;
import javax.management.ObjectName;

public class MXBeanDemo {
    public static void main(String[] args) throws Exception {
        
        // Create a CounterMXBean
        CounterMXBean mxBean = new CounterImpl();
        
        // Create an ObjectName for mxBean
        ObjectName objectName = new 
                ObjectName("mymxbean:name=counter");

        // Get an MBeanServer
        MBeanServer server = ManagementFactory.
                getPlatformMBeanServer();

        // Register mxBean with MBeanServer
        server.registerMBean(mxBean, objectName);

        // Prevent program from exiting
        System.out.println("Press press enter to exit ...");
        System.in.read();
    }
}